Subject: Re: bug#36651: 12.1.2; isearch with TeX-fold-mode and outline-minor-mode

From: Ikumi Keita <[email-masked]>
Date: Tue, 08 Jun 2021 22:23:50 +0900

[ Ralf, I have a question I'd like to ask you. Please see below. ]

Hi Gustavo, sorry to be very late to respond.

>>>>> Gustavo Barros <[email-masked]> writes:
> When both TeX-fold-mode and outline-minor-mode are used together, if
> the outline is folded, the usual unfolding of candidates of isearch
> does not work, that is, temporary unfolding of the region where the
> current candidate is does not happen. The unfolding of the region of
> the selected candidate also does not happen.

I can observe the behavior you described. It seems that this issue is
caused because `TeX-fold-mode' sets `search-invisible' to t locally. It
doesn't occur if that value is changed from t to `open', as the attached
patch does. The value `open' is default value of `search-invisible'.

However, I'm not yet sure whether to apply this patch, since it seems
the current code deliberately chooses the value t, disliking the default
value `open'.

Ralf, do you remember why you chose t, not the default value of `open',
for `search-invisible' when you wrote `TeX-fold-mode'?

Best regards,
Ikumi Keita

diff --git a/tex-fold.el b/tex-fold.el
index dd267421..3ccae942 100644
--- a/tex-fold.el
+++ b/tex-fold.el
@@ -908,7 +908,7 @@ With zero or negative ARG turn mode off."
   :keymap (list (cons TeX-fold-command-prefix TeX-fold-keymap))
   (if TeX-fold-mode
       (progn
-        (set (make-local-variable 'search-invisible) t)
+        (set (make-local-variable 'search-invisible) 'open)
         (add-hook 'post-command-hook #'TeX-fold-post-command nil t)
         (add-hook 'LaTeX-fill-newline-hook #'TeX-fold-update-at-point nil t)
         (add-hook 'TeX-after-insert-macro-hook